Submit crypto deposit Travel Rule information
curl --request POST \
--url https://api.stabyl.com/v1/partner/wallets/crypto/deposits/{id}/travel-rule \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"sender_country": "<string>",
"sender_originator": "<string>"
}
'import requests
url = "https://api.stabyl.com/v1/partner/wallets/crypto/deposits/{id}/travel-rule"
payload = {
"sender_country": "<string>",
"sender_originator": "<string>"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({sender_country: '<string>', sender_originator: '<string>'})
};
fetch('https://api.stabyl.com/v1/partner/wallets/crypto/deposits/{id}/travel-rule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stabyl.com/v1/partner/wallets/crypto/deposits/{id}/travel-rule",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sender_country' => '<string>',
'sender_originator' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.stabyl.com/v1/partner/wallets/crypto/deposits/{id}/travel-rule"
payload := strings.NewReader("{\n \"sender_country\": \"<string>\",\n \"sender_originator\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.stabyl.com/v1/partner/wallets/crypto/deposits/{id}/travel-rule")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"sender_country\": \"<string>\",\n \"sender_originator\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stabyl.com/v1/partner/wallets/crypto/deposits/{id}/travel-rule")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sender_country\": \"<string>\",\n \"sender_originator\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"status": "submitted",
"transaction_id": "019bd2d1-4e10-77ab-88d4-93f43d6a6df2"
},
"status": "success"
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "invalid request parameters"
},
"status": "error"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "missing X-Api-Key header"
},
"status": "error"
}{
"error": {
"code": "NOT_FOUND",
"message": "resource not found"
},
"status": "error"
}{
"error": {
"code": "CONFLICT",
"message": "idempotency key already used"
},
"status": "error"
}Wallets
Submit crypto deposit Travel Rule information
Submits sender information for a held crypto deposit. Repeating a submission for an already submitted case returns the submitted state.
POST
/
partner
/
wallets
/
crypto
/
deposits
/
{id}
/
travel-rule
Submit crypto deposit Travel Rule information
curl --request POST \
--url https://api.stabyl.com/v1/partner/wallets/crypto/deposits/{id}/travel-rule \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"sender_country": "<string>",
"sender_originator": "<string>"
}
'import requests
url = "https://api.stabyl.com/v1/partner/wallets/crypto/deposits/{id}/travel-rule"
payload = {
"sender_country": "<string>",
"sender_originator": "<string>"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({sender_country: '<string>', sender_originator: '<string>'})
};
fetch('https://api.stabyl.com/v1/partner/wallets/crypto/deposits/{id}/travel-rule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stabyl.com/v1/partner/wallets/crypto/deposits/{id}/travel-rule",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sender_country' => '<string>',
'sender_originator' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.stabyl.com/v1/partner/wallets/crypto/deposits/{id}/travel-rule"
payload := strings.NewReader("{\n \"sender_country\": \"<string>\",\n \"sender_originator\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.stabyl.com/v1/partner/wallets/crypto/deposits/{id}/travel-rule")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"sender_country\": \"<string>\",\n \"sender_originator\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stabyl.com/v1/partner/wallets/crypto/deposits/{id}/travel-rule")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sender_country\": \"<string>\",\n \"sender_originator\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"status": "submitted",
"transaction_id": "019bd2d1-4e10-77ab-88d4-93f43d6a6df2"
},
"status": "success"
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "invalid request parameters"
},
"status": "error"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "missing X-Api-Key header"
},
"status": "error"
}{
"error": {
"code": "NOT_FOUND",
"message": "resource not found"
},
"status": "error"
}{
"error": {
"code": "CONFLICT",
"message": "idempotency key already used"
},
"status": "error"
}Use these endpoints only when a wallet transaction includes
required_action.type = "travel_rule". The deposit remains unavailable until clearance completes.Authorizations
Path Parameters
Body
application/json
Sender information required to continue Travel Rule clearance for this held crypto deposit.
Was this page helpful?